Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class AWTPolygonProducer

    java.lang.Object
      org.apache.batik.parser.AWTPolylineProducer
          org.apache.batik.parser.AWTPolygonProducer

All Implemented Interfaces:
  PointsHandler, ShapeProducer

    public class AWTPolygonProducer

extends AWTPolylineProducer

This class produces a polygon shape from a reader.

Field Summary

Fields inherited from class org.apache.batik.parser.AWTPolylineProducer
`newPath, path, windingRule`

Constructor Summary
`AWTPolygonProducer()`

Method Summary
`static Shape` | `createShape(Reader r, int wr)` Utility method for creating an ExtendedGeneralPath.
`void` | `endPoints()` Implements `PointsHandler.endPoints()`.

Methods inherited from class org.apache.batik.parser.AWTPolylineProducer
`getShape, getWindingRule, point, setWindingRule, startPoints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AWTPolygonProducer

    public AWTPolygonProducer()

Method Detail

### createShape

    public static Shape createShape(Reader r,
                                    int wr)
                             throws IOException,
                                    ParseException

  Utility method for creating an ExtendedGeneralPath.

  Parameters:
    `r` - The reader used to read the path specification.
    `wr` - The winding rule to use for creating the path.
  Throws:
    `IOException`
    `ParseException`

### endPoints

    public void endPoints()
                   throws ParseException

  Implements `PointsHandler.endPoints()`.

  Specified by:
    `endPoints` in interface `PointsHandler`
  Overrides:
    `endPoints` in class `AWTPolylineProducer`
  Throws:
    `ParseException` - if an error occured while processing the points

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.